Last Comment Bug 655567 - The Aurora channel gives links to central because app.update.url.manual is http://nightly.mozilla.org
: The Aurora channel gives links to central because app.update.url.manual is ht...
Status: VERIFIED FIXED
[good first bug][inbound][qa!]
: verified-aurora
Product: Firefox
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- major (vote)
: Firefox 8
Assigned To: Anders G. Jørgensen
:
Mentors:
: 666300 666515 666601 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-08 04:22 PDT by Pedro Bessa
Modified: 2011-10-04 05:54 PDT (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
This should do it (1.20 KB, patch)
2011-06-24 15:10 PDT, Anders G. Jørgensen
dolske: review+
Details | Diff | Splinter Review

Description Pedro Bessa 2011-05-08 04:22:53 PDT
User-Agent:       Mozilla/5.0 (X11; Linux i686; rv:5.0a2) Gecko/20110504 Firefox/5.0a2
Build Identifier: Mozilla/5.0 (X11; Linux i686; rv:5.0a2) Gecko/20110504 Firefox/5.0a2

I have firefox 5 aurora, I'm in the aurora update channel, but aurora shows me firefox 6 alpha 1 which is a central, nightly firefox.

the link is to http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/latest-trunk/firefox-6.0a1.en-US.linux-i686.tar.bz2

Reproducible: Always

Steps to Reproduce:
1. Open Aurora
2. Help
3. About Aurora

Actual Results:  
update available in http://*nightly*.mozilla.org/
you're currently on the *aurora update channel*

Expected Results:  
no centrals, nightlies to me, when the team that makes firefox 5 aurora moves to firefox 6 aurora, I'll use firefox 6 aurora
Comment 1 Pedro Bessa 2011-05-08 04:26:27 PDT
more steps:
4. click http://*nightly*.mozilla.org/
5. click Linux
6. click Intel

more actual results:
the link is to a central

more expected results:
the link is to an aurora
Comment 2 Bobby Johnson [:rjohnson19] 2011-05-08 05:18:38 PDT
app.update.url.manual does indeed take users to http://nightly.mozilla.org:

http://hg.mozilla.org/releases/mozilla-aurora/file/tip/browser/branding/aurora/pref/firefox-branding.js#l12
Comment 3 Byron Jones ‹:glob› 2011-06-22 23:24:09 PDT
*** Bug 666300 has been marked as a duplicate of this bug. ***
Comment 4 Thomas Ahlblom 2011-06-23 12:41:06 PDT
*** Bug 666515 has been marked as a duplicate of this bug. ***
Comment 5 Thomas Ahlblom 2011-06-23 13:53:58 PDT
*** Bug 666601 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Ahlblom 2011-06-23 13:59:25 PDT
Considering comment 2 I will make this bug NEW and also I also add the [good first bug] from bug 666300.
Comment 7 Anders G. Jørgensen 2011-06-24 15:10:31 PDT
Created attachment 541820 [details] [diff] [review]
This should do it

This is my first patch for Firefox. I changed http://nightly.mozilla.org/ to http://www.mozilla.com/firefox/channel/. Or is there a more specific page about Aurora?
Comment 9 Will Pittenger 2011-07-03 12:40:14 PDT
I don't believe that the dialog should use a preference.  Suppose I use Aurora for now.  But I then switch that profile to the 6.0 beta.  Now should the dialog continue to use a link for Aurora?  I don't think so.  It should provide a link for the beta.
Comment 10 Justin Dolske [:Dolske] 2011-07-05 18:11:13 PDT
Comment on attachment 541820 [details] [diff] [review]
This should do it

Thanks for the patch! This looks fine.
Comment 11 Justin Dolske [:Dolske] 2011-07-05 18:13:36 PDT
(In reply to comment #9)
> I don't believe that the dialog should use a preference.  Suppose I use
> Aurora for now.  But I then switch that profile to the 6.0 beta.

These are the _default_ prefs, which are included in the app. So if you switch from Aurora to Beta, the default pref value will change as well. This pattern is used extensively throughout Firefox branding.
Comment 12 Daniel Holbert [:dholbert] 2011-07-07 10:06:27 PDT
Pushed to mozilla-inbound:
 http://hg.mozilla.org/integration/mozilla-inbound/rev/61224f22f178
(not sure if we want this on the current aurora/beta trains; if so, patch will need approval to land there)

Anders: Thanks for the patch! For future patches, it'd be great if you could set up the patch to include a commit message & author name, as described here:
https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3f
(In this case, I added that data before landing the patch.)
Comment 13 Marco Bonardo [::mak] 2011-07-08 05:52:19 PDT
http://hg.mozilla.org/mozilla-central/rev/61224f22f178
Comment 14 Vlad [QA] 2011-10-04 05:54:04 PDT
I have verified this bug by updating from:
Mozilla/5.0 (Windows NT 5.1; rv:5.0a2) Gecko/20110418 Firefox/5.0a2 to
Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111003 Firefox/9.0a2

from
Mozilla/5.0 (Windows NT 6.1; rv:5.0a2) Gecko/20110418 Firefox/5.0a2 to
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111003 Firefox/9.0a2

from
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:5.0a2) Gecko/20110418 Firefox/5.0a2 to
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20111003 Firefox/9.0a2

from
Mozilla/5.0 (X11; Linux i686; rv:5.0a2) Gecko/20110416 Firefox/5.0a2to
Mozilla/5.0 (X11; Linux i686; rv:9.0a2) Gecko/20111004 Firefox/9.0a2

and all the updates were made perfectly, all on the Aurora channel. 

I have also updated Nightly on Windows 7 x86 from
Mozilla/5.0 (Windows NT 6.1; rv:6.0a1) Gecko/20110414 Firefox/6.0a1 to
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111003 Firefox/10.0a1
and also made the update on Win XP, Mac OS 10.6 and Ubuntu 11.04 x86 and everything worked as expected

Considering this, setting resolution to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.